/*********************************************************************
 *
 * Toggle an LED - EXP 32  SOLUTION
 *modifed 11/07/10 thk
 ********************************************************************/
#include <p32xxxx.h>
#include <plib.h>

#pragma config FNOSC = PRIPLL, POSCMOD = HS, FPLLIDIV = DIV_2, FPLLMUL = MUL_20, FPBDIV = DIV_2, FPLLODIV = DIV_1
#pragma config FWDTEN = OFF

#define	SYS_FREQ	80000000		// frequency we're running at


int main(void)
{
	//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	// Configure the device for maximum performance but do not change the PBDIV
	// Given the options, this function will change the flash wait states, RAM
	// wait state and enable prefetch cache but will not change the PBDIV.
	// The PBDIV value is already set via the pragma FPBDIV option above..
	SYSTEMConfig(SYS_FREQ, SYS_CFG_WAIT_STATES | SYS_CFG_PCACHE);
	DDPCON=0x00;
		AD1PCFG = 0xFFFFFFFF;
//	TRISDCLR = 0x0001;
//	CNPUESET = 0x8000;
//setup L1 and L2
	mPORTBClearBits(  BIT_12 | BIT_11 );
	mPORTBSetPinsDigitalOut( BIT_12 | BIT_11 );
//setup S1 RB15/CN12	
	mPORTBSetPinsDigitalIn( BIT_15 );
//setup S2 RD5/CN14
mPORTDSetPinsDigitalIn( BIT_5 );	
	/* enable pullups on change notice pins 12,14 */
ConfigCNPullups(CN14_PULLUP_ENABLE |
CN12_PULLUP_ENABLE);
	
	
	while(1)
	{
		if(PORTDbits.RD5 == 0)
		mPORTBSetBits( BIT_11)	;
		else
		mPORTBClearBits( BIT_11);
		
			if(PORTBbits.RB15 == 0)
		mPORTBSetBits( BIT_12)	;
		else
		mPORTBClearBits( BIT_12);
	 }
}
